import Ajax from '../../util/ajax'
import api from '../../util/api'

// 请求数据
export default {
  namespaced: true,
  state: {
    gymCardList: [],
    gymCardDetail: ''
  },
  mutations: {
    setgymCardList (state, data) { // 设置页面信息
      state.gymCardList = data.list
    },
    setgymCardDetail (state, data) {
      state.gymCardDetail = data
    }
  },
  actions: {
    getgymCardList (context, data) { // 获取课程详情信息
      return new Promise((resolve) => {
        Ajax(api.user.gymCard.url, {
          method: api.user.gymCard.method,
          queryData: {
            ...data
          }
        }).then(res => {
          context.commit('setgymCardList', res)
          resolve(res)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    getgymCardDetail (context, data) { // 获取课程详情信息
      return new Promise((resolve, reject) => {
        Ajax(api.user.gymCardDetail.url, {
          method: api.user.gymCardDetail.method,
          urlData: {
            ...data
          }
        }).then(res => {
          context.commit('setgymCardDetail', res)
          resolve(res)
        }).catch((err) => {
          reject(err)
        })
      })
    }
  }
}
